Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface ValueExp

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AttributeValueExp, StringValueExp

public interface ValueExp
extends Serializable

A value expression.

Implementations of this interface represent arguments to expressions.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.

Method Summary
`ValueExp` | `apply(ObjectName name)` Apply this value expression to an MBean.
`void` | `setMBeanServer(MBeanServer server)` Set the MBeanServer for this expression.

Method Detail

### apply

    public ValueExp apply(ObjectName name)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Apply this value expression to an MBean.

  Parameters:
    `name` - the object name of the mbean
  Returns:
    this value expression
  Throws:
    `BadStringOperationException` - when an invalid string operation is used during query construction
    `BadBinaryOpValueExpException` - when an invalid binary operation is used during query construction
    `BadAttributeValueExpException` - when an invalid MBean attribute is used during query construction
    `InvalidApplicationException` - when trying to apply a subquery expression to an MBean or an attribute expression to an MBean of the wrong class.

### setMBeanServer

    public void setMBeanServer(MBeanServer server)

  Set the MBeanServer for this expression. Only MBeans registered in this server can be used in queries.

  Parameters:
    `server` - the MBeanServer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.